--- old/usr/src/pkg/manifests/SUNWcs.mf	Fri Apr  7 17:30:21 2017
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Fri Apr  7 17:30:21 2017
@@ -1833,6 +1833,12 @@
 link path=var/ld/32 target=.
 link path=var/ld/64 target=$(ARCH64)
 #
+# cross zone dependency on linked image metadata
+# ifconfig, etc, dependencies on running kernel version
+#
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
+#
 # The bootadm binary needs the etc/release file.
 #
 depend fmri=release/name type=require
--- old/usr/src/pkg/manifests/developer-debug-mdb.mf	Fri Apr  7 17:30:21 2017
+++ new/usr/src/pkg/manifests/developer-debug-mdb.mf	Fri Apr  7 17:30:21 2017
@@ -390,3 +390,7 @@
 $(sparc_ONLY)link path=usr/lib/mdb/kvm/$(ARCH64)/pcipsy.so target=intr.so
 $(sparc_ONLY)link path=usr/lib/mdb/kvm/$(ARCH64)/pcisch.so target=intr.so
 $(sparc_ONLY)link path=usr/lib/mdb/kvm/$(ARCH64)/px.so target=intr.so
+# mdb needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
+
--- old/usr/src/pkg/manifests/developer-dtrace.mf	Fri Apr  7 17:30:21 2017
+++ new/usr/src/pkg/manifests/developer-dtrace.mf	Fri Apr  7 17:30:21 2017
@@ -671,3 +671,7 @@
 link path=usr/lib/$(ARCH64)/libdtrace_jni.so target=libdtrace_jni.so.1
 link path=usr/lib/libdtrace.so target=libdtrace.so.1
 link path=usr/lib/libdtrace_jni.so target=libdtrace_jni.so.1
+# cross zone dependency on linked image metadata
+# libdtrace depends on running kernel version
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/diagnostic-cpu-counters.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/diagnostic-cpu-counters.mf	Fri Apr  7 17:30:22 2017
@@ -227,3 +227,7 @@
 link path=usr/share/man/man3cpc/pctx_create.3cpc target=pctx_capture.3cpc
 link path=usr/share/man/man3cpc/pctx_release.3cpc target=pctx_capture.3cpc
 link path=usr/share/man/man3cpc/pctx_run.3cpc target=pctx_capture.3cpc
+# cross zone dependency on linked image metadata
+# libcpc dependency on running kernel version
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/install-beadm.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/install-beadm.mf	Fri Apr  7 17:30:22 2017
@@ -57,3 +57,7 @@
 link path=usr/lib/$(ARCH64)/libbe.so target=./libbe.so.1
 link path=usr/lib/libbe.so target=./libbe.so.1
 link path=usr/sbin/beadm target=../../sbin/beadm
+# cross zone dependency on linked image metadata
+# beadm needs to agree with state of GZ
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/network-ipd.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/network-ipd.mf	Fri Apr  7 17:30:22 2017
@@ -44,3 +44,6 @@
 license lic_CDDL license=lic_CDDL
 link path=usr/lib/$(ARCH64)/libipd.so target=libipd.so.1
 link path=usr/lib/libipd.so target=libipd.so.1
+# ipd needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/network-ipfilter.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/network-ipfilter.mf	Fri Apr  7 17:30:22 2017
@@ -140,3 +140,7 @@
 link path=usr/share/man/man4/ipmon.conf.4 target=./ipmon.4
 link path=usr/share/man/man4/ipnat.conf.4 target=./ipnat.4
 link path=usr/share/man/man4/ippool.conf.4 target=./ippool.4
+# cross zone dependency on linked image metadata
+# ipfilter needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/service-file-system-smb.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/service-file-system-smb.mf	Fri Apr  7 17:30:22 2017
@@ -116,3 +116,6 @@
 link path=usr/lib/smbsrv/libmlsvc.so target=libmlsvc.so.1
 link path=usr/lib/smbsrv/libsmb.so target=libsmb.so.1
 link path=usr/lib/smbsrv/libsmbns.so target=libsmbns.so.1
+# smb server needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/service-picl.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/service-picl.mf	Fri Apr  7 17:30:22 2017
@@ -947,3 +947,7 @@
     target=ptree_get_propval.3picltree
 link path=usr/share/man/man3picltree/ptree_update_propval_by_name.3picltree \
     target=ptree_update_propval.3picltree
+# cross zone dependency on linked image metadata
+# needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/service-resource-pools.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/service-resource-pools.mf	Fri Apr  7 17:30:22 2017
@@ -214,3 +214,6 @@
     target=pool_get_property.3pool
 link path=usr/share/man/man3pool/pool_walk_resources.3pool \
     target=pool_walk_components.3pool
+# pools need to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/system-file-system-nfs.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/system-file-system-nfs.mf	Fri Apr  7 17:30:22 2017
@@ -122,4 +122,8 @@
 link path=usr/sbin/showmount target=../lib/fs/nfs/showmount
 user username=unknown ftpuser=false gcos-field="Unknown Remote UID" \
     group=unknown uid=96
+# cross zone dependency on linked image metadata
+# needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
 depend fmri=system/kernel/secure-rpc type=require
--- old/usr/src/pkg/manifests/system-file-system-smb.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/system-file-system-smb.mf	Fri Apr  7 17:30:22 2017
@@ -118,5 +118,9 @@
     target=pam_smbfs_login.so.1
 link path=usr/lib/security/pam_smbfs_login.so target=pam_smbfs_login.so.1
 link path=usr/share/man/man1m/umount_smbfs.1m target=mount_smbfs.1m
+# cross zone dependency on linked image metadata
+# needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
 # libsmbfs uses iconv_open() which requires this at run-time.
 depend fmri=system/library/iconv/utf-8 type=require
--- old/usr/src/pkg/manifests/system-file-system-zfs.mf	Fri Apr  7 17:30:22 2017
+++ new/usr/src/pkg/manifests/system-file-system-zfs.mf	Fri Apr  7 17:30:22 2017
@@ -185,4 +185,8 @@
 link path=usr/lib/llib-lzfs_core.ln target=../../lib/llib-lzfs_core.ln
 link path=usr/sbin/zfs target=../../sbin/zfs
 link path=usr/sbin/zpool target=../../sbin/zpool
+# cross zone dependency on linked image metadata
+# due to libzfs dependency on running kernel version
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
 depend fmri=runtime/python$(PYTHON_PKGVERS) type=require
--- old/usr/src/pkg/manifests/system-library-libfcoe.mf	Fri Apr  7 17:30:23 2017
+++ new/usr/src/pkg/manifests/system-library-libfcoe.mf	Fri Apr  7 17:30:23 2017
@@ -53,3 +53,7 @@
 license lic_CDDL license=lic_CDDL
 link path=usr/lib/$(ARCH64)/libfcoe.so target=libfcoe.so.1
 link path=usr/lib/libfcoe.so target=libfcoe.so.1
+# cross zone dependency on linked image metadata
+# needs to match running kernel.
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/system-library.mf	Fri Apr  7 17:30:23 2017
+++ new/usr/src/pkg/manifests/system-library.mf	Fri Apr  7 17:30:23 2017
@@ -1301,6 +1301,10 @@
 link path=usr/xpg4/lib/$(ARCH64)/libcurses.so target=libcurses.so.2
 link path=usr/xpg4/lib/64 target=$(ARCH64)
 link path=usr/xpg4/lib/libcurses.so target=./libcurses.so.2
+# cross zone dependency on linked image metadata
+# due to libc, libdlpi, libdladm, etc, dependency on running kernel version
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
 #
 # libses.so needs to dlopen(3C) plugins from usr/lib/scsi/plugins/ses/vendor/,
 # a dependency which cannot be automatically derived
--- old/usr/src/pkg/manifests/system-network-routing.mf	Fri Apr  7 17:30:23 2017
+++ new/usr/src/pkg/manifests/system-network-routing.mf	Fri Apr  7 17:30:23 2017
@@ -75,3 +75,7 @@
     license=usr/src/cmd/cmd-inet/usr.sbin/in.routed/THIRDPARTYLICENSE.freebsd
 link path=usr/share/man/man1m/rdisc.1m target=in.rdisc.1m
 link path=usr/share/man/man1m/routed.1m target=in.routed.1m
+# cross zone dependency on linked image metadata
+# needs to match running kernel
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
--- old/usr/src/pkg/manifests/system-tnf.mf	Fri Apr  7 17:30:23 2017
+++ new/usr/src/pkg/manifests/system-tnf.mf	Fri Apr  7 17:30:23 2017
@@ -70,3 +70,6 @@
 link path=usr/lib/$(ARCH64)/libtnfprobe.so target=libtnfprobe.so.1
 link path=usr/lib/libtnfctl.so target=./libtnfctl.so.1
 link path=usr/lib/libtnfprobe.so target=./libtnfprobe.so.1
+# cross zone dependency on linked image metadata
+depend fmri=feature/package/dependency/self type=parent \
+    variant.opensolaris.zone=nonglobal
